Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005684TestLinkReportspublic2013-05-04 04:182013-05-22 20:56
Reporterchemchoum 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWidowsOS VersionXP
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0005684: Empty Last execution column on the spread sheet exported from test result matrix report
DescriptionThe spread sheet generated from the test result matrix report contain on empty cells for the last execution column as shown on "TestResultMatrixWithoutLastExecuted Build.PNG" screen shot.

Note that $tlCfg->resultMatrixReport->buildColumns['showStatusLastExecuted'] is set to false.

The issue is also reproducible on the 1.9.7 (Q2 2013 Fixes) version
Steps To Reproduce1) on custom_config.inc.php add the line :
$tlCfg->resultMatrixReport->buildColumns['showStatusLastExecuted'] = false;
2)execute some test cases from a test plan of a project.
3)generate a test result matrix and click on the spread sheet icon
4)open the spread sheet and notice the "last execution" column.
Additional InformationIf $tlCfg->resultMatrixReport->buildColumns['showStatusLastExecuted'] is set to true, the "last execution" column isn't empty as shown on "TestResultMatrixWithLastExecuted Build.PNG" screen shot.
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon TestResultMatrixWithoutLastExecuted Build.PNG [^] (54,983 bytes) 2013-05-04 04:18


png file icon TestResultMatrixWithLastExecuted Build.PNG [^] (54,284 bytes) 2013-05-04 04:19

- Relationships
related to 0005685closedfman Test result matrix - Column shifted if when Test Project has TESTING PRIORITY DISABLED 
child of 0005551closedfman Availables hot-fixes for 1.9.6 & How To get full fixed package from gitorious 

-  Notes
(0018868)
fman (administrator)
2013-05-04 07:53

Thanks for your tests
please apply fix and retest

http://gitorious.org/testlink-ga/testlink-code/commit/11af9234f02b490446d5ee140ea846b46711c1fc [^]
(0018883)
chemchoum (reporter)
2013-05-06 14:45

Test result = OK

steps:
1-Without an extra column for the last executed build :
on the spread sheet, no column created for "last build" and the column last execution is not shifted.

2-With an extra column for the last executed build :
on the spread sheet, a column is created for "last build" and another for "last execution".

- Issue History
Date Modified Username Field Change
2013-05-04 04:18 chemchoum New Issue
2013-05-04 04:18 chemchoum File Added: TestResultMatrixWithoutLastExecuted Build.PNG
2013-05-04 04:19 chemchoum File Added: TestResultMatrixWithLastExecuted Build.PNG
2013-05-04 07:51 fman Issue cloned: 0005685
2013-05-04 07:51 fman Relationship added related to 0005685
2013-05-04 07:53 fman Note Added: 0018868
2013-05-04 07:53 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-05-04 07:53 fman Status new => resolved
2013-05-04 07:53 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)
2013-05-04 07:53 fman Resolution open => fixed
2013-05-04 07:53 fman Assigned To => fman
2013-05-04 07:53 fman Tag Attached: TO BE FIXED on 2.0
2013-05-04 07:54 fman Relationship added child of 0005551
2013-05-06 14:45 chemchoum Note Added: 0018883
2013-05-22 20:56 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker